"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWsProxyAgent = exports.getHttpsProxyAgent = void 0;
/**
 * Returns an axios & websocket compatible proxy config using brightdata credentials
 */
function getHttpsProxyAgent(host, port, user, pass) {
    try {
        // Optional dependency that might be missing
        const { HttpsProxyAgent } = require('https-proxy-agent');
        const url = `https://${user}:${pass}@${host}:${port}`;
        return new HttpsProxyAgent(url);
    }
    catch (e) {
        const msg = `Failed to prepare https proxy config - proxy agent dependency not installed`;
        console.error(new Date(), msg, e);
        throw new Error(msg);
    }
}
exports.getHttpsProxyAgent = getHttpsProxyAgent;
function getWsProxyAgent(host, port, user, pass) {
    try {
        const { SocksProxyAgent } = require('socks-proxy-agent');
        const url = `socks://${user}:${pass}@${host}:${port}`;
        return new SocksProxyAgent(url);
    }
    catch (e) {
        const msg = `Failed to prepare WS proxy config - proxy agent dependency not installed`;
        console.error(new Date(), msg, e);
        throw new Error(msg);
    }
}
exports.getWsProxyAgent = getWsProxyAgent;
//# sourceMappingURL=proxy.js.map